---
table_name: design_management_designs
classes:
- DesignManagement::Design
feature_categories:
- design_management
description: Information about Designs, image files under management by the Design
  Management tool
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/9801
milestone: '11.10'
gitlab_schema: gitlab_main_cell
allow_cross_joins:
- gitlab_main_clusterwide
allow_cross_transactions:
- gitlab_main_clusterwide
allow_cross_foreign_keys:
- gitlab_main_clusterwide
desired_sharding_key:
  namespace_id:
    references: namespaces
    backfill_via:
      parent:
        foreign_key: project_id
        table: projects
        sharding_key: namespace_id
        belongs_to: project
desired_sharding_key_migration_job_name: BackfillDesignManagementDesignsNamespaceId
